curl --request GET \
--url https://api.brale.xyz/accounts/{account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "ABC Company",
"status": "complete",
"created": "2026-01-01T00:00:00Z",
"updated": "2026-01-01T00:00:00Z"
}Retrieve a customer account
Returns the details of a specific customer account, including KYB status.
Response shape
| Field | Type | Description |
|---|---|---|
id | string (KSUID) | The account ID. |
name | string | Account / business display name returned by the API. |
status | string | KYB / onboarding status. One of complete, pending, rejected. |
created | string (ISO 8601) | When the account was created. |
updated | string (ISO 8601) | When the account was last updated. |
Example
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "ABC Company",
"status": "complete",
"created": "2026-01-01T00:00:00Z",
"updated": "2026-01-01T00:00:00Z"
}
Authorizations
Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.
Path Parameters
The ID of the account
^[a-zA-Z0-9]{26}$"2VcUIIsgARwVbEGlIYbhg6fGG57"
Response
Details of the requested account
Summary representation of a customer account returned by GET /accounts and GET /accounts/{account_id}. Account creation requires KYB / business details (see AccountCreateRequest / CreateManagedAccountRequest), but account read and list responses return only this account summary and do not return sensitive KYB details.
^[a-zA-Z0-9]{26}$"2VcUIIsgARwVbEGlIYbhg6fGG57"
Account / business display name returned by the API.
"ABC Company"
KYB / onboarding status of the account.
complete, pending, rejected "complete"
When the account was created.
"2026-01-01T00:00:00Z"
When the account was last updated.
"2026-01-01T00:00:00Z"
Was this page helpful?